Package ietf.params.xml.ns.icalendar_2

# Class StatusPropType

java.lang.Object
ietf.params.xml.ns.icalendar_2.BasePropertyType
ietf.params.xml.ns.icalendar_2.TextPropertyType
ietf.params.xml.ns.icalendar_2.StatusPropType

public class StatusPropType extends TextPropertyType
status = "STATUS" statparam ":" statvalue CRLF statparam = *(";" other-param) statvalue = (statvalue-event / statvalue-todo / statvalue-jour) statvalue-event = "TENTATIVE" ;Indicates event is tentative. / "CONFIRMED" ;Indicates event is definite. / "CANCELLED" ;Indicates event was cancelled. ;Status values for a "VEVENT" statvalue-todo = "NEEDS-ACTION" ;Indicates to-do needs action. / "COMPLETED" ;Indicates to-do completed. / "IN-PROCESS" ;Indicates to-do in process of. / "CANCELLED" ;Indicates to-do was cancelled. ;Status values for "VTODO". statvalue-jour = "DRAFT" ;Indicates journal is draft. / "FINAL" ;Indicates journal is final. / "CANCELLED" ;Indicates journal is removed. ;Status values for "VJOURNAL".

Java class for StatusPropType complex type.

The following schema fragment specifies the expected content contained within this class.

     <complexType name="StatusPropType">
       <complexContent>
         <extension base="{urn:ietf:params:xml:ns:icalendar-2.0}TextPropertyType">
         </extension>
       </complexContent>
     </complexType>

- ## Field Summary

  ### Fields inherited from class ietf.params.xml.ns.icalendar_2.TextPropertyType

  `text`

  ### Fields inherited from class ietf.params.xml.ns.icalendar_2.BasePropertyType

  `parameters`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `StatusPropType()`

- ## Method Summary

  ### Methods inherited from class ietf.params.xml.ns.icalendar_2.TextPropertyType

  `getText, setText`

  ### Methods inherited from class ietf.params.xml.ns.icalendar_2.BasePropertyType

  `getParameters, setParameters`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### StatusPropType

    public StatusPropType()